-- Created by NuclearTonic
-- The use of this code requires the permission of the author.
-- Permission can be atained by contacting NuclearTonic at: TonicBars@gmail.com
--
-- RESPECT!

import "Turbine.Gameplay";
import "Turbine.UI";
import "Tonic.Utils.Class";
import "Tonic.Utils.Table";

ClassSpecificEvents = class( Turbine.Object  );

function ClassSpecificEvents:Constructor( regEvents )
	self.registeredEvents = regEvents;
	att = player:GetClassAttributes();
	if ( self.registeredEvents.classRange == nil ) then
		self.registeredEvents.classRange = { };
	end
	if ( player:GetClass() == Turbine.Gameplay.Class.Burglar ) then
		-- eventManager.AddCallback( self, att, "IsCriticalTier1Changed", function( sender, args )
			-- self.registeredEvents.classRange[ LOCALESTRINGS.ClassTriggers["Crit Tier1"] ] = att:IsCriticalTier1Available();
			-- Turbine.Shell.WriteLine( "Tier1" );
			-- eventManager:NotifyClients();
		-- end);
		-- eventManager.AddCallback( self, att, "IsCriticalTier2Changed", function( sender, args )
			-- self.registeredEvents.classRange[ LOCALESTRINGS.ClassTriggers["Crit Tier2"] ] = att:IsCriticalTier2Available();
			-- Turbine.Shell.WriteLine( "Tier2" );
			-- eventManager:NotifyClients();
		-- end);
		-- eventManager.AddCallback( self, att, "IsCriticalTier3Changed", function( sender, args )
			-- self.registeredEvents.classRange[ LOCALESTRINGS.ClassTriggers["Crit Tier3"] ] = att:IsCriticalTier3Available();
			-- Turbine.Shell.WriteLine( "Tier3" );
			-- eventManager:NotifyClients();
		-- end);
	elseif ( player:GetClass() == Turbine.Gameplay.Class.Champion ) then
		self.registeredEvents.classRange[ CHAMPION_FERVOR ] = att:GetFervor();
		eventManager.AddCallback( self, att, "FervorChanged", function( sender, args )
			self.registeredEvents.classRange[ CHAMPION_FERVOR ] = att:GetFervor();
			eventManager:NotifyClients();
		end);
	elseif ( player:GetClass() == Turbine.Gameplay.Class.RuneKeeper ) then
		self.registeredEvents.classRange[ RK_ATTUNEMENT ] = att:GetAttunement();
		eventManager.AddCallback( self, att, "AttunementChanged", function( sender, args )
			self.registeredEvents.classRange[ RK_ATTUNEMENT ] = att:GetAttunement();
			eventManager:NotifyClients();
		end);
		-- eventManager.AddCallback( self, att, "IsChargedChanged", function( sender, args )
			-- self.registeredEvents.classRange[ LOCALESTRINGS.ClassTriggers["Charged"] ] = att:IsCharged();
			-- eventManager:NotifyClients();
		-- end);
	elseif ( player:GetClass() == Turbine.Gameplay.Class.Hunter ) then
		self.registeredEvents.classRange[ HUNTER_FOCUS ] = att:GetFocus();
		eventManager.AddCallback( self, att, "FocusChanged", function( sender, args )
			self.registeredEvents.classRange[ HUNTER_FOCUS ] = att:GetFocus();
			eventManager:NotifyClients();
		end);
	end
	eventManager:NotifyClients();
end

function ClassSpecificEvents:CheckVisibility( barSettings )
	local visible = false;
	if ( player:GetClass() == Turbine.Gameplay.Class.Minstrel ) then
		att = player:GetClassAttributes();
		if ( barSettings.events ~= nil and barSettings.events.effects ~= nil ) then
			if ( (att:IsSerenadeTier1Available() and barSettings.events.effects[ "Ballad Tier 1" ] ~= nil) or
				 (att:IsSerenadeTier2Available() and barSettings.events.effects[ "Ballad Tier 2" ] ~= nil) or
				 (att:IsSerenadeTier3Available() and barSettings.events.effects[ "Ballad Tier 3" ] ~= nil)	 ) then
				visible = true;
			end
		end
	end

	-- Send all Class Specific events to all clients
	if (barSettings.events.classRange ~= nil ) then
		for key2, value2 in pairs (self.registeredEvents.classRange) do
			if ( value2 ~= nil and barSettings.events ~= nil and barSettings.events.classRange[ key2 ] ~= nil and 
																 barSettings.events.classRange[ key2 ].minValue ~= nil and
																 barSettings.events.classRange[ key2 ].maxValue ~= nil ) then
				if ( type( value2 ) == "number" and value2 >= barSettings.events.classRange[ key2 ].minValue and value2 <= barSettings.events.classRange[ key2 ].maxValue ) then
					visible = true;
				end
			end
		end
	end
	return visible;
end