-- Created by NuclearTonic
-- The use of this code requires the permission of the author.
-- Permission can be atained by contacting NuclearTonic at: TonicBars@gmail.com
--
-- RESPECT!

import "Turbine";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Tonic.Utils.Class";
import "Tonic.UI.CheckBox";
import "Tonic.UI.ComboBox";
import "Tonic.UI.AutoListBox";
import "Tonic.UI.MenuUtils";
import "Tonic.TonicBars.Menu.QuickslotsMenu";
import "Tonic.TonicBars.Menu.ExtensionsMenu";
import "Tonic.TonicBars.Menu.InventoryMenu";
import "Tonic.TonicBars.Menu.GeneralMenu";
import "Tonic.TonicBars.Menu.AboutMenu";
import "Tonic.TonicBars.Menu.EasyBarMenu";

buttonWidth = 90;
selectionWidth = 160;
selectionHeight = 20;
commandsHeight = 50;
startFromTop = 39;
selectedColor = Turbine.UI.Color( 0.2, 0.2, 0.2 );
selectedColor.A = 1.0;
unselectedColor = Turbine.UI.Color( 0.0, 0.0, 0.0 );
unselectedColor.A = 1.0;
groupingColor = Turbine.UI.Color( 0.5, 0.5, 0.5 );
groupingColor.A = 1.0;
windowWidth = 575;
windowHeight = 534;
insideBoxXOffset = selectionWidth + 5;
insideBoxYOffset = startFromTop + 200;

MainMenu = class( Turbine.UI.Lotro.Window );

function MainMenu:Constructor()
	Turbine.UI.Lotro.Window.Constructor( self );
	self:SetWidth( windowWidth );
	self:SetHeight( windowHeight );
	self:SetText("TonicBar Main Menu");
	self:SetVisible( true );
	self:SetOpacity( 1 );

	self.mode = EASYBAR_MODE;

	local displayWidth, displayHeight = Turbine.UI.Display.GetSize();

	self:SetPosition( ( displayWidth - windowWidth ) / 2, ( displayHeight - windowHeight ) / 2 );
	self:SetAllowDrop( false );
	self:SetMouseVisible( true );
	self.isVisible = true;

	self.VisibleChanged = function( sender, args )
		local settings = theSettingsManager:GetSettings();
		if ( self:IsVisible() == true ) then
			settings.barMode = QUICKSLOT_MODE;
			self:SetWantsKeyEvents(true);
			self.KeyDown = function(sender, args)
				if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
					sender:SetVisible( false );
				end	
				if ( args.Action == 268435635 ) then	-- F12
					self:SetVisible( false );
				end
			end
		else
			self:SetWantsKeyEvents(false);
			self.KeyDown = nil;
			settings.barMode = NORMAL_MODE;
		end
		maitre_d:RefreshBars();
	end
	
	shellCommand = Turbine.ShellCommand()
	function shellCommand:Execute(command, arguments)
		menu:SetVisible( true );
	end
	Turbine.Shell.AddCommand('tb;tonicbars;TonicBars', shellCommand)
	
	self.utils = Tonic.UI.MenuUtils();

	self:AddSelectionTypes();

	self.easybarMenu = Tonic.TonicBars.Menu.EasyBarMenu();
	self.quickslotsMenu = Tonic.TonicBars.Menu.QuickslotsMenu();
	self.extensionsMenu = Tonic.TonicBars.Menu.ExtensionsMenu();
	self.inventoryMenu = Tonic.TonicBars.Menu.InventoryMenu();
	self.generalMenu = Tonic.TonicBars.Menu.GeneralMenu();
	self.aboutMenu = Tonic.TonicBars.Menu.AboutMenu();
	
	self.menuBox = self.utils:AddAutoListBox( self, Turbine.UI.Orientation.Vertical, 0, 0, selectionWidth, startFromTop );
	self.menuBox:SetPosition( self.selectionPanel:GetWidth() + 12, 50 );
	
	self:SetupMainMenuDisplay( EASYBAR_MODE );
end

function MainMenu:AddSelectionTypes()
	self.selectionPanel = Turbine.UI.Window();
	self.selectionPanel:SetParent( self );
	self.selectionPanel:SetSize(140,507);
	self.selectionPanel:SetBackground("Tonic/TonicBars/Resources/Options_menu_side_bar.tga");
	self.selectionPanel:SetPosition(5,20);
	self.selectionPanel:SetMouseVisible(false);
	self.selectionPanel:SetVisible( true );

	self.selectionBox = self.utils:AddAutoListBox( self.selectionPanel, Turbine.UI.Orientation.Vertical, 0, 0, 15, 75 );

	local easybarsButton = Turbine.UI.Lotro.Button();
	easybarsButton:SetText( LOCALESTRINGS.MainButtons["Easy Bars"] );
	easybarsButton:SetSize( buttonWidth + 30, selectionHeight );
	easybarsButton.MouseClick = function( sender, args )
		self.easybarMenu:ClearSelection();
		self:SetupMainMenuDisplay( EASYBAR_MODE );
	end
	self.selectionBox:AddItem( easybarsButton );

	local quickbarsButton = Turbine.UI.Lotro.Button();
	quickbarsButton:SetText( LOCALESTRINGS.MainButtons["Quick Slots"] );
	quickbarsButton:SetSize( buttonWidth + 30, selectionHeight );
	quickbarsButton.MouseClick = function( sender, args )
		self.quickslotsMenu:ClearSelection();
		self:SetupMainMenuDisplay( QUICKSLOT_MODE );
	end
	self.selectionBox:AddItem( quickbarsButton );
	
	local extensionButton = Turbine.UI.Lotro.Button();
	extensionButton:SetText( LOCALESTRINGS.MainButtons["Extensions Bars"] );
	extensionButton:SetSize( buttonWidth + 30, selectionHeight );
	extensionButton.MouseClick = function( sender, args )
		self.extensionsMenu:ClearSelection();
		self:SetupMainMenuDisplay( EXTENSION_MODE );
	end
	self.selectionBox:AddItem( extensionButton );
		
	local windowButton = Turbine.UI.Lotro.Button();
	windowButton:SetText( LOCALESTRINGS.MainButtons["Inventory Bars"] );
	windowButton:SetSize( buttonWidth + 30, selectionHeight );
	windowButton.MouseClick = function( sender, args )
		self.inventoryMenu:ClearSelection();
		self:SetupMainMenuDisplay( INVENTORY_MODE );
	end
	self.selectionBox:AddItem( windowButton );
	
	local genericButton = Turbine.UI.Lotro.Button();
	genericButton:SetText( LOCALESTRINGS.MainButtons["General Settings"] );
	genericButton:SetSize( buttonWidth + 30, selectionHeight );
	genericButton.MouseClick = function( sender, args )
		self:SetupMainMenuDisplay( GENERAL_MODE );
	end
	self.selectionBox:AddItem( genericButton );
	
	local aboutButton = Turbine.UI.Lotro.Button();
	aboutButton:SetText( LOCALESTRINGS.MainButtons["About TonicBars"] );
	aboutButton:SetSize( buttonWidth + 30, selectionHeight );
	aboutButton.MouseClick = function( sender, args )
		self:SetupMainMenuDisplay( ABOUT_MODE );
	end
	self.selectionBox:AddItem( aboutButton );
end

function MainMenu:SetupMainMenuDisplay( mode )
	local settings = theSettingsManager:GetSettings();
	if ( mode == EASYBAR_MODE ) then
		self.menuBox:ClearItems();
		self.menuBox:AddItem( self.easybarMenu );
		
		if ( self.easybarMenu:GetHeight() > 475 ) then
			self.menuBox:SetSize( self:GetWidth() - selectionWidth + 4, 475 );
		else
			self.menuBox:SetSize( self:GetWidth() - selectionWidth + 4, self.easybarMenu:GetHeight() );
		end
		self.easybarMenu:DisplaySettings( true );
		settings.barMode = QUICKSLOT_MODE;
	elseif ( mode == QUICKSLOT_MODE ) then
		self.menuBox:ClearItems();
		self.menuBox:AddItem( self.quickslotsMenu );
		
		if ( self.quickslotsMenu:GetHeight() > 475 ) then
			self.menuBox:SetSize( self:GetWidth() - selectionWidth + 4, 475 );
		else
			self.menuBox:SetSize( self:GetWidth() - selectionWidth + 4, self.quickslotsMenu:GetHeight() );
		end
		if ( self.quickslotsMenu:GetSelection() ~= nil ) then
			self.quickslotsMenu:DisplaySettings( true );
		else
			self.quickslotsMenu:RefreshComboBox();
		end
		settings.barMode = QUICKSLOT_MODE;
	elseif ( mode == EXTENSION_MODE ) then
		self.menuBox:ClearItems();
		self.menuBox:AddItem( self.extensionsMenu );

		
		if ( self.extensionsMenu:GetHeight() > 475 ) then
			self.menuBox:SetSize( self:GetWidth() - selectionWidth + 4, 475 );
		else
			self.menuBox:SetSize( self:GetWidth() - selectionWidth + 4, self.extensionsMenu:GetHeight() );
		end
		if ( self.extensionsMenu.barList:GetSelection() ~= nil ) then
			self.extensionsMenu:DisplaySettings( true );
		else
			self.extensionsMenu:RefreshComboBox();
		end
		settings.barMode = EXTENSION_MODE;
	elseif ( mode == INVENTORY_MODE ) then
		self.menuBox:ClearItems();
		self.inventoryMenu:SetParent( self );
		self.menuBox:AddItem( self.inventoryMenu );
		
		if ( self.inventoryMenu:GetSelection() ~= nil ) then
			self.inventoryMenu:DisplaySettings( true );
		else
			self.inventoryMenu:RefreshComboBox();
		end
		settings.barMode = QUICKSLOT_MODE;
	elseif ( mode == GENERAL_MODE ) then
		self.menuBox:ClearItems();
		self.menuBox:AddItem( self.generalMenu );
		
		self.generalMenu:DisplaySettings( true );
		self.generalMenu:RefreshComboBox();
		settings.barMode = QUICKSLOT_MODE;
	elseif ( mode == ABOUT_MODE ) then
		self.menuBox:ClearItems();
		self.menuBox:AddItem( self.aboutMenu );
		
		self.aboutMenu:DisplaySettings( true );
		settings.barMode = QUICKSLOT_MODE;
	end
	self.mode = mode;
	maitre_d:RefreshBars();
end

function MainMenu:RegenerateQuickslotsMenu()
	self.quickslotsMenu = Tonic.TonicBars.Menu.QuickslotsMenu();
	self:SetupMainMenuDisplay( QUICKSLOT_MODE );
end

function MainMenu:RegenerateEasyBarsMenu()
	self.easybarMenu = Tonic.TonicBars.Menu.EasyBarMenu();
	self:SetupMainMenuDisplay( EASYBAR_MODE );
end

function MainMenu:GetSelection()
	if ( self.mode == EASYBAR_MODE and self.easybarMenu ~= nil and self.easybarMenu.barList ~= nil) then
		return self.easybarMenu.barList:GetSelection();
	elseif ( self.mode == QUICKSLOT_MODE and self.easybarMenu ~= nil and self.quickslotsMenu.barList ~= nil ) then
		return self.quickslotsMenu.barList:GetSelection();
	elseif ( self.mode == EXTENSION_MODE and self.easybarMenu ~= nil and self.extensionsMenu.barList ~= nil ) then
		return self.extensionsMenu.barList:GetSelection();
	elseif ( self.mode == INVENTORY_MODE and self.easybarMenu ~= nil and self.inventoryMenu.barList ~= nil ) then
		return self.inventoryMenu.barList:GetSelection();
	else
		return nil;
	end
end

function MainMenu:RefreshComboBox()
	if ( self.mode == EASYBAR_MODE ) then
		return self.easybarMenu:RefreshComboBox( self:GetSelection() );
	elseif ( self.mode == QUICKSLOT_MODE ) then
		return self.quickslotsMenu:RefreshComboBox( self:GetSelection() );
	elseif ( self.mode == EXTENSION_MODE ) then
		return self.extensionsMenu:RefreshComboBox( self:GetSelection() );
	elseif ( self.mode == INVENTORY_MODE ) then
		return self.inventoryMenu:RefreshComboBox( self:GetSelection() );
	elseif ( self.mode == GENERAL_MODE ) then
		return nil;
	elseif ( self.mode == ABOUT_MODE ) then
		return nil;
	end
end

function MainMenu:EnableTriggers( enabled )
	if ( self.mode == EASYBAR_MODE ) then
		return self.easybarMenu:EnableTriggers( enabled );
	elseif ( self.mode == QUICKSLOT_MODE ) then
		return self.quickslotsMenu:EnableTriggers( enabled );
	elseif ( self.mode == EXTENSION_MODE ) then
		return self.extensionsMenu:EnableTriggers( enabled );
	elseif ( self.mode == INVENTORY_MODE ) then
		return self.inventoryMenu:EnableTriggers( enabled );
	elseif ( self.mode == GENERAL_MODE ) then
		return nil;
	elseif ( self.mode == ABOUT_MODE ) then
		return nil;
	end
end

function MainMenu:GetMode()
	return self.mode;
end

function MainMenu:BarClicked( selectedBarId )
	local settings = theSettingsManager:GetSettings();
	local barSettings = theSettingsManager:GetBarSettings( selectedBarId );
	if ( self.mode ~= NORMAL_MODE and barSettings.barType == QUICKSLOTBAR ) then
		self:SetupMainMenuDisplay( QUICKSLOT_MODE );
		self.quickslotsMenu:RefreshComboBox( selectedBarId );
	elseif ( self.mode ~= NORMAL_MODE and barSettings.barType == EXTENSIONBAR ) then
		self:SetupMainMenuDisplay( EXTENSION_MODE );
		self.extensionsMenu:RefreshComboBox( selectedBarId );
	elseif ( self.mode ~= NORMAL_MODE and (barSettings.barType == TABBED_INV_BAR or barSettings.barType == WINDOW_INV_BAR) ) then
		self:SetupMainMenuDisplay( INVENTORY_MODE );
		self.inventoryMenu:RefreshComboBox( selectedBarId );
	end
end